# Node.JS

## [Installera Node.JS versionsväljare under Ubuntu](https://www.npmjs.com/package/n "n")
<pre><code>npm install -g n</code></pre>
<pre><code>n 16.13 && node -v</code></pre>

### [Altnernativt installera NVM](https://github.com/nvm-sh/nvm "Node Version Manager")
<pre><code>curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.4/install.sh | bash</code></pre>
<pre><code>nvm install 16.13 && nvm use 16.13</code></pre>
Efter installation, avsluta aktuell SSH session och logga in igen.


## [Installera Node.JS versionsväljare under Windows](https://github.com/coreybutler/nvm-windows/releases "NVM for Windows")
<pre><code>nvm install 16.13 && nvm use 16.13</code></pre>

Installera senaste LTS version

<pre><code>nvm install lts</code></pre>

## Uppdatera moduler

Lista installerade moduler

<pre><code>npm list</code></pre>
<pre><code>npm list -g</code></pre>

Sök efter uppdateringar

<pre><code>npm audit</code></pre>

Sök efter uppdateringar för bara production

<pre><code>npm audit --production</code></pre>

### [npm-check-updates](https://github.com/raineorshine/npm-check-updates "npm-check-updates")

`ncu -u` uppdaterar bara package.json, kör därför `npm i` efteråt

<pre><code>npm install -g npm-check-updates
ncu -u
npm install</code></pre>
